# \Thelia\FormCustomerModification

## Summary

Methods
Properties
Constants
getName()
__construct()
getRequest()
getSuccessUrl()
createView()
getView()
setError()
hasError()
setErrorMessage()
getErrorMessage()
getForm()
No public properties found
No constants found
buildForm()
cleanOptions()
$formBuilder
$form
$request
N/A
No private methods found
$view
$has_error
$error_message
N/A

File
  Form/CustomerModification.php
Package
  \Default
Class hierarchy
  \Thelia\Form\BaseForm
  \Thelia\Form\CustomerModification

## Tags

None found

## Properties

### $formBuilder

    $formBuilder : \Symfony\Component\Form\FormFactoryInterface

#### Type

\Symfony\Component\Form\FormFactoryInterface

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### $form

    $form : \Symfony\Component\Form\Form

#### Type

\Symfony\Component\Form\Form

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### $request

    $request

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### $view

    $view

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### $has_error

    $has_error : boolean

true if the form has an error, false otherwise.

#### Type

boolean

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### $error_message

    $error_message : string

The form error message.

#### Type

string

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

## Methods

### getName()

    getName() : string

#### Returns

string —

the name of you form. This name must be unique

#

abstract

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### __construct()

    __construct(\Symfony\Component\HttpFoundation\Request $request,  $type,  $data,  $options)

#### Parameters

\Symfony\Component\HttpFoundation\Request | $request |
| $type |
| $data |
| $options |

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### getRequest()

    getRequest()

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### getSuccessUrl()

    getSuccessUrl(string $default) : string

Returns the absolute URL to redirect the user to if the form is successfully processed.

#### Parameters

string | $default | the default URL. If not given, the configured base URL is used.

#### Returns

string —

an absolute URL

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### createView()

    createView()

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### getView()

    getView()

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### setError()

    setError(boolean $has_error)

Set the error status of the form.

#### Parameters

boolean | $has_error |

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### hasError()

    hasError() : boolean

Get the cuirrent error status of the form.

#### Returns

boolean

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### setErrorMessage()

    setErrorMessage(\Thelia\Form\unknown $message)

Set the error message related to global form error

#### Parameters

\Thelia\Form\unknown | $message |

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### getErrorMessage()

    getErrorMessage() : string

Get the form error message.

#### Returns

string

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### getForm()

    getForm() : \Symfony\Component\Form\Form

#### Returns

\Symfony\Component\Form\Form

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### buildForm()

    buildForm() : null

in this function you add all the fields you need for your Form.

Form this you have to call add method on $this->formBuilder attribute :

$this->formBuilder->add("name", "text") ->add("email", "email", array( "attr" => array( "class" => "field" ), "label" => "email", "constraints" => array( new \Symfony\Component\Validator\Constraints\NotBlank() ) ) ) ->add('age', 'integer');

#### Returns

null

#

abstract

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### cleanOptions()

    cleanOptions( $options)

#### Parameters

| $options |

#

Inherited from
  \Thelia\Form\BaseForm

## Tags

None found

### CustomerModification.php